AutoCAD (LT) kent het commando ARC om een deel van een cirkel te tekenen. Binnen het commando ARC bestaan een aantal opties waarmee diverse varianten van een boog kunnen worden getekend. Maar hoe teken je een boog waarvan je de booglengte en straal wilt opgegeven? 

Boogtekenen met een opgegeven booglengte en straal
Boogtekenen met een opgegeven booglengte en straal

Boogtekenen met een opgegeven booglengte en straal

 

Oplossing:

Helaas kent AutoCAD standaard geen teken functie om in 1 keer bijvoorbeeld een boog met een booglengte van 1250mm en een straal van 750mm te tekenen. Maar het is natuurlijk wel mogelijk. Bijvoorbeeld door het opgeven van het begin- en eindpunt van de boog en de straal. Maar hoe ver liggen deze punten uit elkaar? In de wiskunde noemen ze die afstand de koorde van een cirkelboog. En deze is als volgt te berekenen.

Lengte koorde = 2 x R x SIN(L x 90 / R x Π) 

In dit voorbeeld wordt de afstand, afgerond in hele mm,  tussen begin- en eindpunt, 2 x 750 x SIN(1250 x 90/ 750 x 3.1416) -> 1500 x SIN(47.75) =1110mm


Door nu via de volgende stappen het ARC commando te gebruiken krijgen we de gewenste boog.

Command: ARC<enter>
Specify start point of arc or [Center]:<klik eerste punt>
Specify second point of arc or [Center/End]: E<enter>
Specify end point of arc: @-1100,0<enter>
Specify center point of arc (hold Ctrl to switch direction) or [Angle/Direction/Radius]: R<enter>
Specify radius of arc (hold Ctrl to switch direction): 750<enter>
Command:

 

Oplossing 2 (zonder rekenen)

Het kan natuurlijk ook zonder eerst de lengte van de koorde uit te rekenen. Er zijn dan wat meer stappen nodig in AutoCAD.

  1. Teken op een lijn een halve cirkel met de gewenste boogstraal van bijvoorbeeld 750mm
  2. Verander de booglengte met het commando LENGTHEN optie [Total] in bijvoorbeeld 1250mm
  3. Draai met het commando ROTATE de boog horizontaal. Daarbij kun je het beste gebruikmaken van de optie [Reference]

 

Oplossing 3 (alleen in FULL AutoCAD) 

Als deze handeling vaak terugkomt is het wellicht handig dit in een lisp routine te zetten. Hieronder een uitgewerkt voorbeeld

(defun c:tekenboog ( / lengte straal plaats koorde)
     (setq lengte (getreal "\nBooglengte:" ) )
     (setq straal (getreal "\nBoogstraal:" ) )
     (setq plaats (getpoint "\nLocatiepunt:") )
     (setq koorde (* 2 straal (sin (* 0.5 (/ lengte straal) ) ) ) )
     (command "ARC"
          (polar plaats pi (/ koorde 2.0))
          "E"
          (polar plaats (* -1.0 pi) (/ koorde 2.0))
          "R"
         straal
     );_command
);_einde defun

Door deze listing op te slaan in een bestand genaamd tekenboog.lsp wordt het mogelijk deze als routine te laden. Dit kan met het commando APPLOAD. Daarna beschik je over een nieuw commando.

 

Command: TEKENBOOG<enter>
Booglengte:1250<enter>
Boogstraal:750<enter>
Locatiepunt: <klik>